import type { NobjcObject } from "objc-js";
import type { _GKGraphNode } from "./GKGraphNode.js";
export declare class _GKGraphNode2D extends _GKGraphNode {
    static alloc(): _GKGraphNode2D;
    static new(): _GKGraphNode2D;
    init(): _GKGraphNode2D;
    static nodeWithPoint$(point: NobjcObject): _GKGraphNode2D;
    initWithPoint$(point: NobjcObject): _GKGraphNode2D;
    position(): NobjcObject;
    setPosition$(value: NobjcObject): void;
}
